Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
03916 Graphics Minor Always Jul 2, 2010, 19:15 Dec 24, 2010, 11:19
Tester -Misc Reporters- View Status Public Platform MAME (Self-compiled)
Assigned To Phil Bennett Resolution Fixed OS
Status [?] Resolved Driver arabian.cpp
Version 0.138u2 Fixed in Version 0.141 Build Normal
Fixed in Git Commit Github Pull Request #
Summary 03916: arabian: Missing bird at top of the screen.
Description There is a bird which flies at the top of the screen, stopping in the the crow's nest on the ship. It drops occasionally more enemies to attack you. Strangely, this is not being done in the MAME version, though the test mode for the game shows graphics for this missing component to the game.

Steps To Reproduce
Additional Information This may be one of couple things, conceivably:

1) Video showcasing a different romset
2) Simply missing the graphics implementation which may/may not be related to the simulation going on in the game.

I tested back to 0.19 when it was first added to MAME .. there is no bird showing at any time. Also, I made a snap of the test mode which clearly shows the graphics for this bird.

Received via email from Rogerio
Github Commit
Flags
Regression Version
Affected Sets / Systems arabian
Attached Files
png file icon arabian.png (3,872 bytes) Jul 2, 2010, 19:26
Relationships
There are no relationship linked to this issue.
Notes
3
User avatar
No.06327
Phil Bennett
Developer
Jul 3, 2010, 19:24
Yeah, I'd bet money on this being related to the MCU simulation. Another target for the decapping project...
User avatar
No.06330
Tafoid
Administrator
Jul 3, 2010, 23:36
edited on: May 31, 2012, 04:35
Added another video, again clearly showing the bird. Thanks again to Rogerio for locating.
User avatar
No.06961
Phil Bennett
Developer
Dec 24, 2010, 11:19
With the MCU now emulated, the big blue bird is both visible in-game and on the high-score screen.